> For the complete documentation index, see [llms.txt](https://player.docs.3q.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://player.docs.3q.video/player-web-sdk/methods.md).

# Methods

To call a method or to receive information from the player, just use the player instance to call them.

```javascript
// Call the play method
player.play()
```

## Available Methods

### **Player controls**

| Method          | Type   | Description        |
| --------------- | ------ | ------------------ |
| fullscreen      | -      |                    |
| exitfullscreen  | -      |                    |
| enableControls  | -      |                    |
| disableControls | -      |                    |
| destroy         | -      |                    |
| getVersion      | -      |                    |
| load            | string | Loads a new dataid |

### **Media controls**

| Method                | Type              | Description                                                   |
| --------------------- | ----------------- | ------------------------------------------------------------- |
| play                  | -                 |                                                               |
| pause                 | -                 |                                                               |
| unmute                | -                 |                                                               |
| mute                  | -                 |                                                               |
| volume                | Integer \[0.1..1] | Sets the volume. E.g. for 50% volume use 0.5                  |
| seek                  | Integer           |                                                               |
| getVideoInfo          |                   |                                                               |
| getCurrentTime        |                   |                                                               |
| getDuration           |                   |                                                               |
| getStreamType         |                   |                                                               |
| getLiveDelayInSeconds |                   |                                                               |
| getProcessingStatus   | Boolan            | VoD only: method to check, if the video is already transcoded |

### **Subtitles / Captions**

| Method       | Type    | Description |
| ------------ | ------- | ----------- |
| getSubtitles | Object  |             |
| subtitle     | Integer |             |

### **AudioTracks**

| Method         | Type    | Description |
| -------------- | ------- | ----------- |
| getAudioTracks | Object  |             |
| audiotrack     | Integer |             |

### **Ads**

| Method    | Type   | Description                                                                                                                    |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| requestAd | String | Triggers a midroll. Pre- and PostRolls will still be called anyway. requestAd() or requestAd(url) if specifying an ad tag url. |

### **Sidebar**

| Method         | Type   | Description |
| -------------- | ------ | ----------- |
| setSideBarHTML | String |             |
| showSideBar    |        |             |
| showSideBar    |        |             |

### Playlists

| Method           | Type   | Description                                       |
| ---------------- | ------ | ------------------------------------------------- |
| next             |        | Plays the next item in the playlist               |
| previous         |        | Plays the previous item in the playlist           |
| getPlaylistItems |        | Retrieves a list of all playlist items            |
| PlaylistItem     | Number | Sets the current active Playlist Item to given ID |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://player.docs.3q.video/player-web-sdk/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
